# !/bin/bash
# ESA (C) 2000-2022
#
# This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
#
#    SAS is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    SAS is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
#
#
#


from pysas.pyOAL import pyOAL

def test_load_class():
    obs = pyOAL.Observation('0505720401.xml')
    assert True


def test_brancher():
    obs = pyOAL.Observation('0505720401.xml')
    epn = obs.get_instrument('EPN')
    p_i = epn.parsed_exposures_instrument
    pyOAL.brancher(p_i)
    assert True
